#define _MSG_CONNECT_			10 
#define _PROTOCOL_VERSION_(high, low)	((high<<16) + (low & 0xffff))
#define _MSG_LEVEL_START_		11
#define _MSG_CLOCK_TICK_		12
#define _MSG_UPDATE_			13
#define _MSG_GAME_END_			14
#define _MSG_LEVEL_DONE_		15

#define _BLOCKING_			 1
#define _NON_BLOCKING_			 0
#define _ERROR_				-1
#define _NO_DATA_			-2


int create_server(void);
int wait_for_connect(void);
int create_client(char*);
int wait_for_client_connect(void);
void close_network(void);
int get_msg(int);
int get_update_data(int*, int*, int*);
int write_msg(int);
int write_update_msg(int*, int, int);
